Package com.pixelmed.network

# Class MultipleInstanceTransferStatusHandler

java.lang.Object
com.pixelmed.network.MultipleInstanceTransferStatusHandler

Direct Known Subclasses:
  `MultipleInstanceTransferStatusHandlerWithFileName`, `NetworkMediaImporter.OurMultipleInstanceTransferStatusHandler`

public abstract class MultipleInstanceTransferStatusHandler extends Object

## Constructor Summary

Constructors
Constructor
Description
`MultipleInstanceTransferStatusHandler()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`updateStatus(int nRemaining, int nCompleted, int nFailed, int nWarning, String sopInstanceUID)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultipleInstanceTransferStatusHandler

public MultipleInstanceTransferStatusHandler()

## Method Details

### updateStatus

public abstract void updateStatus(int nRemaining, int nCompleted, int nFailed, int nWarning, String sopInstanceUID)